require "bitcoin_price/version"
require 'net/http'
require 'json'

module BitcoinPrice
    def self.bitstamp
    uri = URI('https://www.bitstamp.net/api/ticker/')
    json = JSON.parse(Net::HTTP.get(uri)) # => String
    json["last"]
  end

  def self.bitfinex
    uri = URI('https://api.bitfinex.com/v1/pubticker/btcusd')
    json = JSON.parse(Net::HTTP.get(uri)) # => String
    json["last_price"]
  end

  def self.btce
    uri = URI('https://btc-e.com/api/3/ticker/btc_usd')
    json = JSON.parse(Net::HTTP.get(uri)) # => String
    json["btc_usd"]["last"]
  end

  def self.coinbase
    uri = URI('https://api.exchange.coinbase.com/products/BTC-USD/ticker')
    json = JSON.parse(Net::HTTP.get(uri)) # => String
    json["price"]
  end
end
